function ddot_R_theta = dd_R_theta(theta, dot_theta, ddot_theta)
    ddot_R_theta = (dot_theta*dot_theta) .* [-cos(theta), sin(theta);...
                                             -sin(theta), -cos(theta)] + ...
                   ddot_theta .* [-sin(theta), -cos(theta);...
                                  cos(theta), -sin(theta)];...
end